[CRIU] [PATCH] zdtm.sh: exit with zero in case of success

Andrey Vagin avagin at openvz.org
Mon Jan 14 21:36:15 EST 2013


A bash script exits with code of a last command,
so zdtm.sh return 1 if TMP_TREE is not initialized.

Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
 test/zdtm.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/zdtm.sh b/test/zdtm.sh
index a7b2cf5..5163e86 100755
--- a/test/zdtm.sh
+++ b/test/zdtm.sh
@@ -469,4 +469,4 @@ else
 	fi
 fi
 
-[ -n "$TMP_TREE" ] && rm -rf $TMP_TREE
+[ -n "$TMP_TREE" ] && rm -rf $TMP_TREE || exit 0
-- 
1.7.11.7



More information about the CRIU mailing list